variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "server_ip" {
  type = string
}

variable "ssh_private_key_path" {
  type = string
}

variable "server_domain" {
  type = string
}

module "airsonic-advanced" {
  source = "../quadlet-app"
  wait_on = var.wait_on

  server_ip            = var.server_ip
  ssh_private_key_path = var.ssh_private_key_path

  app_name = "airsonic-advanced"
  image    = "lscr.io/linuxserver/airsonic-advanced:latest"
  ports    = ["4040:4040"]
  volumes = [
    "/opt/storage/data/airsonic-advanced:/config:Z",
    "/opt/storage/media/music:/music:Z",
  ]

  environment = {
    PUID="1001"
    PGID="1001"
    TZ="Etc/UTC"
    #JAVA_OPTS="-Dserver.address=127.0.0.1"
  }

  haproxy_services = [
    {
      name   = "airsonic-advanced"
      domain = "airsonic.${var.server_domain}"
      port   = "4040"
      host   = "127.0.0.1"
      tls    = false
    },
  ]

}

output "app_urls" {
  value = module.airsonic-advanced.app_urls
}

output "installed" {
  value = true
  depends_on = [module.airsonic-advanced.installed]
}
